UGOLD(4)

NAME
ugold - TEMPer gold HID thermometer and hygrometer

SYNOPSIS
ugold* at uhidev?

DESCRIPTION
The ugold driver provides support for PCsensors TEMPer gold devices. The following devices are supported by the ugold driver:
Device | Sensors
RDing TEMPer1V1.2 | 1 Temperature
RDing TEMPerV1.4 | 1 Temperature
RDing TEMPer1F_V4.1 | 1 Temperature (external)
RDing TEMPer2_V4.1 | 2 Temperature (internal/external)
RDing TEMPerGold_V3.1 | 1 Temperature
RDing TEMPerGold_V3.4 | 1 Temperature
RDing TEMPerHum1V1.0 | 1 Temperature and 1 Humidity
RDing TEMPerHum1V1.2 | 1 Temperature and 1 Humidity
RDing TEMPerHUM_V3.9 | 1 Temperature and 1 Humidity
RDing TEMPerHUM_V4.0 | 1 Temperature and 1 Humidity
RDing TEMPer1F_H1V1.5F | 1 Temperature and 1 Humidity
RDing TEMPerX_V3.1 | 1 Temperature and 1 Humidity
RDing TEMPerX_V3.3 | 1 Temperature and 1 Humidity

The driver possesses a collection of sensor values which are made available through the sysctl(8) interface.

SEE ALSO
intro(4), uhidev(4), sensorsd(8), sysctl(8)

HISTORY
The ugold driver first appeared in OpenBSD 5.5.

AUTHORS
-nosplit The ugold driver was written by Takayoshi SASANO <uaa@openbsd.org> and Martin Pieuchot <mpi@openbsd.org>.

TEMPerHUM support was added by Joerg Jung <jung@openbsd.org>.

CAVEATS
Linearization and temperature compensation for the humidity values of the TEMPerHUM1V1.0 is not implemented.